Bug 1269605 - Add setting to disable background build triggered from Project Explorer
Add setting to disable background build triggered from Project Explorer
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
All All
high Severity high
: ER5
: 6.2.0
Assigned To: manstis
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 13:03 EDT by Hiroko Miura
Modified: 2015-12-01 09:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example class to load System Properties into workbench settings (1.80 KB, text/plain)
2015-10-19 05:07 EDT, manstis
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4795 Major Closed need settings to disable background build when opening Project Authoring 2017-11-15 04:53 EST
JBoss Issue Tracker PRODMGT-1420 Major Pending Product Management Triage need settings to disable background build when opening Project Authoring 2017-11-15 04:53 EST

  None (edit)
Description Hiroko Miura 2015-10-07 13:03:59 EDT
Description of problem:

When a User navigates to the Authoring Perspective we automatically build the "selected" Project so the Messages Console is updated to show any build errors for the project. The same can be said for when a User may switch projects; we automatically build the newly "selected" Project so the Messages Console is updated with the newly selected project's build errors.

Since customer has many projects which has many XLS files (e.g. more than 200 XLS files in a project), build takes much time (more than 10 min, up to ~30min). When navigating several projects in Project Editor, several backend build could take place and consume much CPU and heap, and then results in performance degradation due to FullGC.

Therefore, Customer is eager settings to disable such background build.



Version-Release number of selected component (if applicable):
BRMS 6.1.x
Comment 1 manstis 2015-10-14 11:35:00 EDT
You can set a global system property (in system.git) to disable the automatic builds triggered by Project Explorer.

1) git clone <path to .niogit/system.git>
2) Edit "settings.global" file
3) Add the following:

    <entry>
      <string>build.disable-project-explorer</string>
      <item>
        <name>build.disable-project-explorer</name>
        <value class="string">true</value>
      </item>
    </entry>

4) git add
5) git commit
6) git push origin master
Comment 3 Hiroko Miura 2015-10-14 20:22:47 EDT
Thanks for quick implementation.
Unfortunately, customer is running BRMS on Windows where is not allowed to install 3rd party software (e.g. git).

Is it possible to enable this option without git command?
Comment 5 manstis 2015-10-19 05:07:00 EDT
Hi Hiroko,

I'm reluctant to add "yet another way" to configure preferences - as we already have a muddle of services in Business Central that we're working on trying to consolidate.

However, if the customer cannot manipulate system.git on a different computer (e.g. copy system.git from the server to a developers' PC, change, commit and copy back to the server) they can write an implementation of org.guvnor.common.services.backend.preferences.ApplicationPreferencesLoader that copies a System Property into Business Central's settings. The customer can then set System Property "build.disable-project-explorer" to "true" and not have to fiddle with system.git. I've attached an example. 

They would need to:

1) Change package name in .java file to fit either BRMS or BPMS
2) Compile into a .class file
3) Copy file to WEB-INF/classes/org/kie/workbench/backend
Comment 6 manstis 2015-10-19 05:07 EDT
Created attachment 1084306 [details]
Example class to load System Properties into workbench settings
Comment 7 Hiroko Miura 2015-10-19 10:04:13 EDT
Hi Mike,

Thank you very much for kindly provide example code as an alternative of direct git command. Customer would be happy with it.

Anyway, I have already strongly recommended them to install git on their Windows env again in my case as it would be highly possible that git is needed in the future to manage git repository directly.
Comment 11 Jiri Locker 2015-11-23 11:14:24 EST
Verified for both BRMS and BPM Suite by following steps in comment 5.
Comment 12 JBoss JIRA Server 2015-12-01 09:49:49 EST
Michael Anstis <michael.anstis@gmail.com> updated the status of jira JBPM-4795 to Closed

Note You need to log in before you can comment on or make changes to this bug.